
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialReddit = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M664.6 230.2c-9.59961 2.59961 -21.1982 -0.800781 -35.3984 -10.2012l-1.40039 -1.2002c-23 -23 -64.7998 -34.5996 -124.2 -34.5996s-101.2 11.5996 -124.2 34.5996c-9.59961 9.59961 -29 9.59961 -38.5996 0c-10 -10 -10 -28.5996 0.599609 -39.1992 c42.5996 -35.5996 96.1992 -52.1992 168.399 -52.1992c75 0 135 18.7998 169 52.7998c4.7998 4.7998 7.59961 11.7998 7.59961 19.2002c0 6.7998 -2.40039 13.3994 -6.40039 17.999c-4.59961 8.40039 -10.7998 11.6006 -15.3994 12.8008zM438.2 380.601 c0 44.2002 -37.2002 84.4004 -78.2002 84.4004s-78.2002 -40.2002 -78.2002 -84.4004c0 -42.4004 35.7998 -78.2002 78.2002 -78.2002s78.2002 35.7998 78.2002 78.2002zM659.601 458.801c-42.4004 0 -78.2002 -35.7998 -78.2002 -78.2002 s35.7998 -78.2002 78.2002 -78.2002s78.2002 35.7998 78.2002 78.2002s-35.7998 78.2002 -78.2002 78.2002zM896.601 583.601c-25.5996 0 -55.5996 -11.5996 -75.7998 -28.5996c-68 43.2002 -159.8 70 -267.2 77.7998l50 167l140.2 -33.5996 c4.2002 -51.7998 50.4004 -95.5996 102.801 -95.5996c55 0 103.2 48.2002 103.2 103.2s-48.2002 103.2 -103.2 103.2c-37.7998 0 -76 -23 -92.7998 -54.5996l-166.8 41.7998l-2.40039 0.200195c-11.4004 0 -27.2002 -10 -28.2002 -26.5996l-66 -204.2 c-105.2 -1.2002 -208.601 -29.2002 -292.4 -79.4004c-25 15.5996 -49.5996 23.1992 -75 23.1992c-67.2002 0 -122 -54.5996 -122 -122c0 -42 20.2002 -79.4004 56.2002 -99.4004v-25.4004c0 -87.2002 47 -163.2 135.2 -220c83 -57.4004 195.8 -89 317.6 -89 s237.8 31.5996 320.8 89c87.2002 60.4004 138.4 138.601 138.4 220.001v26c26 22.7998 52.7998 63.5996 52.7998 105.199c-0.200195 67.2002 -58 121.8 -125.401 121.8zM962.001 455.4c0 -11.4004 -6.40137 -27.6006 -17.001 -39.6006 c-12.5996 33.4004 -36.3994 65 -74.5996 99.4004c7.59961 3.2002 16 5.40039 26.4004 5.40039c38.4004 0.200195 65.2002 -26.7998 65.2002 -65.2002zM905.8 330.601c0 -78 -59 -137.201 -107.8 -172.801c-84.7998 -52.2002 -184.399 -79.7998 -288.199 -79.7998 c-107.2 0 -212.2 29 -288 79.5996c-74.7998 49.7998 -114.2 109.6 -114.2 173s39.4004 123.2 114.2 173c77 51.2002 177 79.6006 281.8 79.6006c107.2 0 212.2 -29 288 -79.5996c74.5996 -49.7998 114.199 -109.6 114.199 -173zM150.399 517.6 c-32.2002 -25.5996 -59.5996 -59.8008 -78.7998 -98.6006c-7.7998 12.5996 -14 25 -14 36.4004c0 38.4004 26.7998 65.2002 65.2002 65.2002c13 0.200195 21 0 27.5996 -3zM800.2 773.599c0 26.2002 20.4004 46.6006 46.6006 46.6006s46.6006 -20.4004 46.6006 -46.6006 s-20.4004 -46.6006 -46.6006 -46.6006c-26.2002 0.200195 -46.6006 20.6006 -46.6006 46.6006z"/></g>
    </Icon>
);

export default SlSocialReddit;
